// play.h

#define N(a) a, 1	// Note on
#define O(a) a, 2	// Note off
#define T(a) a, 6	// Time to wait
#define MONO 1, 7	// monophonic
#define POLY 0, 7  // polyphonic
#define CHAN(a) a, 8 // channel select

extern void playTune();
extern void startTune(const unsigned char *data, int inram);
extern void repeatTune(int n);
extern int ramTune;
extern int playing();
extern int monophonic;

/// Midi note numbers
#define C0 12     // lowest note... -2
#define D0 14
#define E0 16
#define F0 17
#define G0 19
//
#define C1 24     // -2 + +1
#define D1 26
#define E1 28
#define F1 29
#define G1 31
//
#define C2 36     // 0
#define D2 38
#define E2 40
#define F2 41
#define G2 43
#define xA2 45
#define B2 47
#define C3 48     // +1
#define D3 50
#define E3 52
#define F3 53
#define G3 55
#define xA3 57
#define B3 59

#define C4 60     // +2
#define D4 62
#define E4 64
#define F4 65
#define G4 67
#define xA4 69
#define B4 71

#define C5 72     // +1 +2
#define D5 74
#define E5 76
#define F5 77
#define G5 79
#define xA5 81
#define B5 83

#define C6 84
#define D6 86
#define E6 88
#define F6 89
#define G6 91
#define xA6 93
#define B6 95

#define C7 96

