// tune.cpp

#include <avr/pgmspace.h>
// chan 17 == speakjet

#include "play.h"

#define A(x) N((x-C4)+16)

const unsigned char PROGMEM tune_1[] = {
//
  CHAN(0),
  MONO,

  N(D3), T(46),  O(D3), T(2),
  N(G3), T(46),  O(G3), T(2),
  N(B3), T(46),  O(B3), T(2),
  N(D4), T(46),  O(D4), T(2),
  N(G4), T(46),  O(G4), T(2),
  N(B4), T(46),  O(B4), T(2),
  N(D5), T(46),  O(D5), T(2),
  N(G5), T(46),  O(G5), T(2),
  N(B5), T(46),  O(B5), T(2),

  N(D6), T(46),  O(D6), T(2),
 
  0,0,
  
  N(C2), T(46),  O(C2), T(2),
//  N(38), T(6),  O(38), T(6),
//  N(E2), T(6),  O(E2), T(6),
//  N(F2), T(6),  O(F2), T(6),
//  N(G2), T(6),  O(G2), T(6),
  N(C3), T(6),  O(C3), T(6),
  N(D3), T(6),  O(D3), T(6),
  N(E3), T(6),  O(E3), T(6),
  N(F3), T(6),  O(F3), T(6),
  N(G3), T(6),  O(G3), T(6),

  N(xA3), T(6),  O(xA3), T(6),
  N(B3), T(6),  O(B3), T(6),
  N(C4), T(6),  O(C4), T(6),
  N(D4), T(6),  O(D4), T(6),
  N(E4), T(6),  O(E4), T(6),
  N(F4), T(6),  O(F4), T(6),
  N(G4), T(6),  O(G4), T(6),

  N(xA4), T(6),  O(xA4), T(6),
  N(B4), T(6),  O(B4), T(6),
  N(C5), T(6),  O(C5), T(48),
  
//  N(C5), T(12), O(C5), T(12),
  CHAN(16),
  N(C2),T(3),O(C2),
// end of tune.
  0,  0
  
};

const unsigned char PROGMEM tune_2[] = {
//
  CHAN(1),
  MONO,
  
  A(C4), T(48),
  A(D4), T(48),
  A(E4), T(48),
  A(F4), T(24),
  A(G4), T(24),
  A(xA4), T(24),
  A(B4), T(12),
  A(C5), T(12),

// end of tune.
  0,  0
  
};


